## mx4j.tools.adaptor.http
Interface HttpCommandProcessor

All Known Implementing Classes:
  HttpCommandProcessorAdaptor

public interface HttpCommandProcessor

HttpCommandProcessor sets the structure of a command processor

Version:
  $Revision: 1.3 $

Method Summary
`org.w3c.dom.Document` `executeRequest(HttpInputStream in)` Executes an HTTP request.
`void` `setDocumentBuilder(javax.xml.parsers.DocumentBuilder builder)` Sets the Document Builder factory
`void` `setMBeanServer(javax.management.MBeanServer server)` Sets the target MBeanServer

Method Detail

### executeRequest

    public org.w3c.dom.Document executeRequest(HttpInputStream in)
                                        throws java.io.IOException,
                                               javax.management.JMException

  Executes an HTTP request. It assumes the request is well formed

  Returns:
    An XML Document
  Throws:
    `java.io.IOException`
    `javax.management.JMException`

### setMBeanServer

    public void setMBeanServer(javax.management.MBeanServer server)

  Sets the target MBeanServer

### setDocumentBuilder

    public void setDocumentBuilder(javax.xml.parsers.DocumentBuilder builder)

  Sets the Document Builder factory

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.